CVE-2004-0967

Current Description

The (1) pj-gs.sh, (2) ps2epsi, (3) pv.sh, and (4) sysvlp.sh scripts in the ESP Ghostscript (espgs) package in Trustix Secure Linux 1.5 through 2.1, and other operating systems, allow local users to overwrite files via a symlink attack on temporary files.

Basic Data

PublishedFebruary 09, 2005
Last ModifiedOctober 11, 2017
Assignercve@mitre.org
Data TypeCVE
Data FormatMITRE
Data Version4.0
Problem TypeCWE-59
CVE Data Version4.0

Base Metric V2

CVSS 2 - Version2.0
CVSS 2 - Vector StringAV:L/AC:L/Au:N/C:C/I:C/A:C
CVSS 2 - Access VectorLOCAL
CVSS 2 - Access ComplexityLOW
CVSS 2 - AuthenticationNONE
CVSS 2 - Confidentiality ImpactCOMPLETE
CVSS 2 - Availability ImpactCOMPLETE
CVSS 2 - Base Score7.2
SeverityHIGH
Exploitability Score3.9
Impact Score10.0
Obtain All Privilegefalse
Obtain User Privilegefalse
Obtain Other Privilegefalse

Base Metric V3

No data provided.

Configurations

  • OR - Configuration 1
    Cpe VersionPartVendorProductVersionUpdateEditionLanguageSW EditionTarget SWTarget HWOtherVersion Start IncludingVersion End IncludingVersion Start ExcludingVersion End Excluding
    2.3ApplicationAladdin EnterprisesGhostscript4.3*******
    2.3ApplicationAladdin EnterprisesGhostscript4.3.2*******
    2.3ApplicationAladdin EnterprisesGhostscript5.10.10*******
    2.3ApplicationAladdin EnterprisesGhostscript5.10.10*mdk*****
    2.3ApplicationAladdin EnterprisesGhostscript5.10.10_1*******
    2.3ApplicationAladdin EnterprisesGhostscript5.10.10_1*mdk*****
    2.3ApplicationAladdin EnterprisesGhostscript5.10.12cl*******
    2.3ApplicationAladdin EnterprisesGhostscript5.10.15*******
    2.3ApplicationAladdin EnterprisesGhostscript5.10.16*******
    2.3ApplicationAladdin EnterprisesGhostscript5.10cl*******
    2.3ApplicationAladdin EnterprisesGhostscript5.50*******
    2.3ApplicationAladdin EnterprisesGhostscript5.50.8*******
    2.3ApplicationAladdin EnterprisesGhostscript5.50.8_7*******
    2.3ApplicationAladdin EnterprisesGhostscript6.51*******
    2.3ApplicationAladdin EnterprisesGhostscript6.52*******
    2.3ApplicationAladdin EnterprisesGhostscript6.53*******
    2.3ApplicationAladdin EnterprisesGhostscript7.0.4*******
    2.3ApplicationAladdin EnterprisesGhostscript7.0.5*******
    2.3ApplicationAladdin EnterprisesGhostscript7.0.6*******
    2.3ApplicationAladdin EnterprisesGhostscript7.0.7*******

Vulnerable Software List

VendorProductVersions
Aladdin Enterprises Ghostscript 4.3, 4.3.2, 5.10.10, 5.10.10_1, 5.10.12cl, 5.10.15, 5.10.16, 5.10cl, 5.50, 5.50.8, 5.50.8_7, 6.51, 6.52, 6.53, 7.0.4, 7.0.5, 7.0.6, 7.0.7

References

NameSourceURLTags
SCOSA-2006.19ftp://ftp.sco.com/pub/updates/OpenServer/SCOSA-2006.19/SCOSA-2006.19.txtSCO
SCOSA-2006.23ftp://ftp.sco.com/pub/updates/UnixWare/SCOSA-2006.23/SCOSA-2006.23.txtSCO
http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=136321http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=136321CONFIRM
16997http://secunia.com/advisories/16997SECUNIAVendor Advisory
17135http://secunia.com/advisories/17135SECUNIAVendor Advisory
19799http://secunia.com/advisories/19799SECUNIAVendor Advisory
20056http://secunia.com/advisories/20056SECUNIAVendor Advisory
RHSA-2005:081http://www.redhat.com/support/errata/RHSA-2005-081.htmlREDHAT
11285http://www.securityfocus.com/bid/11285BIDPatch Vendor Advisory
2004-0050http://www.trustix.org/errata/2004/0050TRUSTIX
script-temporary-file-overwrite(17583)https://exchange.xforce.ibmcloud.com/vulnerabilities/17583XF
oval:org.mitre.oval:def:10284https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A10284OVAL
USN-3-1https://www.ubuntu.com/usn/usn-3-1/UBUNTU